import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";
// import "./registerServiceWorker";
import "./plugins/axiosCommonService";
import "./plugins/axiosApp";
import "./plugins/iview";

// styles begin
import "./styles/bootstrap.scss";
import "./styles/global.css";
// styles end

Vue.config.productionTip = false;

if (
  process.env.NODE_ENV === "development" &&
  process.env.VUE_APP_ENABLE_VUE_RENDER_LOGS === "true"
) {
  const vueLifecylceLogs = require("./plugins/vueLifecylceLogs").default;
  vueLifecylceLogs({});
}

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
